Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Twitter Integration not working after upgrading to CDH 4.6.0

Twitter Integration not working after upgrading to CDH 4.6.0

Explorer

Hello, Twitter integration i snot working after upgrading to CDH4.6 - nothing shows up in the logs.

 

When i am starting flume from command line -

 

sudo flume-ng agent --conf /etc/flume-ng/conf/ -f /etc/flume-ng/conf/flume.conf -n TwitterAgent -Dhttp.proxyHost=proxyapp.dx.deere.com -Dhttp.proxyPort=80 Dflume.root.logger=DEBUG,console

 

I am seeing this error -

 

Exception in thread "Twitter4J Async Dispatcher[0]" java.lang.NoSuchMethodError: twitter4j.json.JSONObjectType.determine(Ltwitter4j/internal/org/json/JSONObject;)Ltwitter4j/json/JSONObjectType;
        at twitter4j.AbstractStreamImplementation$1.run(AbstractStreamImplementation.java:100)
        at twitter4j.internal.async.ExecuteThread.run(DispatcherImpl.java:116)

 

If i leave the windows like that for 30 min then we are seeing this error -

 

Exception in thread "Twitter Stream consumer-1[Receiving stream]" java.lang.OutOfMemoryError: Java heap space
        at java.util.Arrays.copyOfRange(Arrays.java:2694)
        at java.lang.String.<init>(String.java:203)
        at java.lang.StringBuffer.toString(StringBuffer.java:561)
        at java.io.BufferedReader.readLine(BufferedReader.java:352)
        at java.io.BufferedReader.readLine(BufferedReader.java:382)
        at twitter4j.AbstractStreamImplementation.handleNextElement(AbstractStreamImplementation.java:86)
        at twitter4j.StatusStreamImpl.next(StatusStreamImpl.java:67)
        at twitter4j.TwitterStreamImpl$TwitterStreamConsumer.run(TwitterStreamImpl.java:442)

 

1 REPLY 1

Re: Twitter Integration not working after upgrading to CDH 4.6.0

Explorer

I have tried to get the Twitter4j 2.2.6 version and use them - the error went away but got a class not found error for httpmime. 

 

Downloaded he httpmime-4.0-sources.jar and tried but the same error.